--- old/usr/src/uts/common/des/des_crypt.c	sam. juil. 16 15:13:48 2016
+++ new/usr/src/uts/common/des/des_crypt.c	sam. juil. 16 15:13:48 2016
@@ -89,9 +89,10 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,
-	&modlmisc,
-	&modlcrypto,
-	NULL
+	{   &modlmisc,
+	    &modlcrypto,
+	    NULL
+	}
 };
 
 #define	DES_MIN_KEY_LEN		DES_MINBYTES
@@ -215,26 +216,13 @@
 };
 
 static crypto_ops_t des_crypto_ops = {
-	&des_control_ops,
-	NULL,
-	&des_cipher_ops,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	&des_key_ops,
-	NULL,
-	&des_ctx_ops,
-	NULL,
-	NULL,
-	NULL
+	.co_control_ops = &des_control_ops,
+	.co_cipher_ops = &des_cipher_ops,
+	.co_key_ops = &des_key_ops,
+	.co_ctx_ops = &des_ctx_ops
 };
 
-static crypto_provider_info_t des_prov_info = {
+static crypto_provider_info_t des_prov_info = {{{{
 	CRYPTO_SPI_VERSION_4,
 	"DES Software Provider",
 	CRYPTO_SW_PROVIDER,
@@ -243,7 +231,7 @@
 	&des_crypto_ops,
 	sizeof (des_mech_info_tab)/sizeof (crypto_mech_info_t),
 	des_mech_info_tab
-};
+}}}};
 
 static crypto_kcf_provider_handle_t des_prov_handle = NULL;
 
